import 'package:url_launcher/url_launcher.dart';

class AuthContext {
  Config config;
  final String baseUrl = "https://login.microsoft.com/";

  AuthContext(this.config);

  String getReqUrl() {
    return "${baseUrl}${this.config.tenantID}/oauth2/authorize";
  }

  void login() {
    launch(getReqUrl());
  }
}

class Config {
  String tenantID;
  String clientID;
  String redirectUrl;
  String cacheLocation;

  Config(this.tenantID, this.clientID, this.redirectUrl, this.cacheLocation);
}